View Issue Details

IDProjectCategoryView StatusLast Update
0033079FPCRTLpublic2018-06-17 19:30
Reporterrd0xAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.0.2Product Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0033079: Missing IndexText function from Delphi
DescriptionThere is a IndexStr function which is equivalent to Delphi's IndexStr.

But the case insenstive IndexText function from Delphi is missing in FPC.

Error: Identifier not found "IndexText"
Steps To ReproduceProgram IndexText_missing;

{$MODE DelphiUnicode}

uses StrUtils;

var
Input: string = 'test2';
ArrayOfString: array[0..2] of String = ('Test1', 'test2', 'test3');

begin
    // this one is already there
    if IndexStr(Input, ArrayOfString) > -1 then
        writeln('Hello World!');

    // this one is missing
    if IndexText(Input, ArrayOfString) > -1 then
        writeln('Hello World!');
end.
TagsFeature, Request
Fixed in Revision38062
FPCOldBugId
FPCTarget
Attached Files

Activities

Marco van de Voort

2018-01-26 16:53

manager   ~0106051

Note the corresponding ansi* are there.

Michael Van Canneyt

2018-01-28 10:29

administrator   ~0106085

Added. Thanks for reporting.

Issue History

Date Modified Username Field Change
2018-01-26 16:35 rd0x New Issue
2018-01-26 16:36 rd0x Tag Attached: Feature
2018-01-26 16:36 rd0x Tag Attached: Request
2018-01-26 16:53 Marco van de Voort Note Added: 0106051
2018-01-28 10:29 Michael Van Canneyt Fixed in Revision => 38062
2018-01-28 10:29 Michael Van Canneyt Note Added: 0106085
2018-01-28 10:29 Michael Van Canneyt Status new => resolved
2018-01-28 10:29 Michael Van Canneyt Fixed in Version => 3.1.1
2018-01-28 10:29 Michael Van Canneyt Resolution open => fixed
2018-01-28 10:29 Michael Van Canneyt Assigned To => Michael Van Canneyt
2018-01-28 10:29 Michael Van Canneyt Target Version => 3.2.0
2018-06-17 19:30 rd0x Status resolved => closed